Variatie op 1970-bug brickt iOS 9.3 iPhones via wifi-netwerken
Lars Paymans

Een paar maanden geleden dook een opmerkelijke maar erg vervelende bug op: als je de kalender van je iPhone terugzette naar 1 januari 1970, werd het toestel onbruikbaar. Er is nu een soortgelijk probleem ontdekt waar de 1970-bug iOS 9.3 ook nog werkt.

De nieuwe bug lijkt erg veel op de 1970-bug, al hebben onderzoekers aangetoond dat deze nu ook op afstand ingeschakeld kan worden zodra iemand verbinding maakt met een wifi-netwerk. Hier hoeft de gebruiker van het toestel zelf niets voor te doen, wat deze bug direct een stuk gevaarlijker maakt.

Volgens KrebsonSecurity combineren de onderzoekers twee verschillende kwetsbaarheden die in iOS 9.3 zitten om deze bug mogelijk te maken. Als je iPhone op iOS 9.3.1 of hoger draait loop je dus geen gevaar.

1970-bug iOS 9.3: zo werkt het

Omdat een iPhone of iPad automatisch verbinding maakt met een wifi-netwerk dat bekend is, kan iemand anders de naam van dit netwerk namaken. Hierdoor denkt je toestel dat het met een bekend netwerk verbinding maakt, terwijl dit in werkelijkheid dus niet het geval is.

ios 9.3 klein item

Iedere keer als je iPhone of iPad met het internet verbonden wordt, checkt deze snel of de tijd en datum nog klopt. Een check die normaal gesproken geen kwaad kan, maar wel als deze met het bovengenoemde malafide wifi-netwerk verbonden is. De eigenaar van dit netwerk hoeft op een server alleen de datum op 1 januari 1970 te zetten om je iPhone of iPad te laten denken dat het deze datum is. Op deze manier wordt de 1970-bug op afstand geactiveerd.

Tip: update je toestel naar iOS 9.3.1

Apple loste de originele 1970-bug op met iOS 9.3, maar deze variatie erop valt hier niet onder. Daarom hebben de onderzoekers hun resultaten aan Apple doorgegeven, die het opgelost hebben in iOS 9.3.1. Nu deze versie voor iedereen beschikbaar is, besloten de onderzoekers hun test openbaar te maken. Het is dus aan te raden om de nieuwste versie van iOS op je iPhone te installeren, want alle iPhones en iPads op iOS 9.3 of ouder zijn wel kwetsbaar.

Lees het laatste nieuws over Apple

Draag ook bij aan dit artikel

Deel je kennis of stel een vraag. Dat kan anoniem of met een Disqus account.